﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace LoadAndDelete
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        //initialize sql connection
        MySqlConnection con = new MySqlConnection();
        //initialize all classes
        MySqlCommand cmd = new MySqlCommand();
        MySqlDataAdapter da = new MySqlDataAdapter();
        DataTable dt = new DataTable();

        //declaring variables
        string strquery;
        int result;
        private void Form1_Load(object sender, EventArgs e)
        {
            //set a connection string 
            con.ConnectionString = "server=localhost;user id=root;password=;Database=dbuser;";
        }

        private void btndisplay_Click(object sender, EventArgs e)
        {
            try
            {
                con.Open();
                //create a query for retrieving data in the database.
                strquery = "SELECT ID,`UNAME` as Name, `UUSERNAME` as Username, `UPASSWORD` as Password, `UTYPE` as Type FROM `tblusers` ";
                //initialize new Sql commands
                cmd = new MySqlCommand();
                //hold the data to be executed.
                cmd.Connection = con;
                cmd.CommandText = strquery;
                //initialize new Sql data adapter
                da = new MySqlDataAdapter();
                //fetching query in the database.
                da.SelectCommand = cmd;
                //initialize new datatable
                dt = new DataTable();
                //refreshes the rows in specified range in the datasource. 
                da.Fill(dt);

                
                dataGridView1.DataSource = dt;

              
               
            }
            catch (Exception ex)
            {
                //catching error
                MessageBox.Show(ex.Message);
            }
            finally
            {
                da.Dispose();
                con.Close();
            }
        }

        private void btnDel_Click(object sender, EventArgs e)
        {
            try
            {
                con.Open();
                //create a query for delete data in the database.
                strquery = "Delete From tblusers WHERE ID=" + dataGridView1.CurrentRow.Cells[0].Value;

                //initialize new Sql commands
                cmd = new MySqlCommand();
                //hold the data to be executed.
                cmd.Connection = con;
                cmd.CommandText = strquery;

                result = cmd.ExecuteNonQuery();

                if (result > 0)
                {
                    MessageBox.Show("User has been deleted in the database.");
                   
                }
            }
            catch (Exception ex)
            {
                //catching error
                MessageBox.Show(ex.Message);
            }
            finally
            {
                da.Dispose();
                con.Close();
            }
        }
    }
}
